import { defineNuxtPlugin, useRuntimeConfig, useCookie } from "#imports";
import { useSanityVisualEditingState } from "../composables/visual-editing.mjs";
export default defineNuxtPlugin(() => {
  const visualEditingState = useSanityVisualEditingState();
  const $config = useRuntimeConfig();
  const { visualEditing } = $config.sanity;
  if (visualEditing?.previewMode) {
    const previewModeCookie = useCookie("__sanity_preview");
    visualEditingState.enabled = previewModeCookie.value === visualEditing.previewModeId;
  } else if (typeof visualEditing === "object" && !visualEditing.previewMode) {
    visualEditingState.enabled = true;
  }
});
